org.richfaces.renderkit

## Class ForEachLoop.Status

- java.lang.Object
- - org.richfaces.renderkit.ForEachLoop.Status

- All Implemented Interfaces:
    javax.servlet.jsp.jstl.core.LoopTagStatus
  Enclosing class:
    ForEachLoop<T>

      public class ForEachLoop.Status
      extends Object
      implements javax.servlet.jsp.jstl.core.LoopTagStatus

  Provides the functionality of `LoopTagStatus` for state of iteration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachLoop.Status()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBegin()`
    `int` | `getCount()`
    `Object` | `getCurrent()`
    `Integer` | `getEnd()`
    `int` | `getIndex()`
    `Integer` | `getStep()`
    `boolean` | `isFirst()`
    `boolean` | `isLast()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachLoop.Status

          public ForEachLoop.Status()

  - ### Method Detail

    - #### getCurrent

          public Object getCurrent()

      Specified by:
        `getCurrent` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### getIndex

          public int getIndex()

      Specified by:
        `getIndex` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### isFirst

          public boolean isFirst()

      Specified by:
        `isFirst` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### isLast

          public boolean isLast()

      Specified by:
        `isLast` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### getBegin

          public Integer getBegin()

      Specified by:
        `getBegin` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### getEnd

          public Integer getEnd()

      Specified by:
        `getEnd` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

    - #### getStep

          public Integer getStep()

      Specified by:
        `getStep` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.